﻿@page
@model ReverseModel
@{
    ViewData["Title"] = "Home page";
}

<h1 class="display-4">Обратная интерполяция с помощью полинома Ньютона</h1>
<div class="aaa">
    <div class="text-center">
        
        <form method="post" class="polynom_data">
            <label asp-for="Points"></label>
            <textarea asp-for="Points"></textarea>
            <span asp-validation-for="Points" class="text-danger"></span>      
            <label asp-for="IPoint"></label>
            <input asp-for="IPoint" />
            <span asp-validation-for="IPoint" class="text-danger"></span>
            <label asp-for="Degree"></label>
            <input asp-for="Degree" />
            <span asp-validation-for="Degree" class="text-danger"></span>
            <input type="submit" />
        </form>
    </div>
    <div>
        <label asp-for="InterpolationResult"></label>
        <div>@Model.InterpolationResult</div>
    </div>
</div>

@section scripts{

    <script src="~/lib/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.min.js"></script>
}